Skip to main content

Update a service request for Rent Manager

PUThttps://api.propexo.com/v1/service-requests/rentmanager/:service_request_id
Method
POST /ServiceManagerIssues

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

service_request_id stringrequired

The Propexo unique identifier for the service request

Request​

This endpoint expects an object.

    service_descriptionstringrequired

    A description of the service request

    service_detailsstringrequired

    Details about the service request

    access_is_authorizedboolean

    Whether or not the tenant has granted permission to enter the unit associated with the service request

    date_completedstring<date-time>

    The date the service request was completed

    date_duestring<date-time>

    The due date associated with the service request

    date_scheduledstring<date-time>

    The date the service request is scheduled

    service_request_category_idstring

    The Propexo unique identifier for the service request category

    service_request_priority_idstring

    The Propexo unique identifier for the service request priority

    service_request_status_idstring

    The Propexo unique identifier for the service request status

    vendor_idstring

    The Propexo unique identifier for the vendor. Must be associated with the property_id passed in

    employee_idstring

    The Propexo unique identifier for the employee

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    service_request_idstringrequired

    The Propexo unique identifier for the service request

    service_descriptionstringrequired

    A description of the service request

    service_detailsstringrequired

    Details about the service request

    access_is_authorizedboolean

    Whether or not the tenant has granted permission to enter the unit associated with the service request

    date_completedstring<date-time>

    The date the service request was completed

    date_duestring<date-time>

    The due date associated with the service request

    date_scheduledstring<date-time>

    The date the service request is scheduled

    service_request_category_idstring

    The Propexo unique identifier for the service request category

    service_request_priority_idstring

    The Propexo unique identifier for the service request priority

    service_request_status_idstring

    The Propexo unique identifier for the service request status

    vendor_idstring

    The Propexo unique identifier for the vendor. Must be associated with the property_id passed in

    employee_idstring

    The Propexo unique identifier for the employee

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/service-requests/rentmanager/:service_request_id
curl -X PUT https://api.propexo.com/v1/service-requests/rentmanager/:service_request_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"service_description": "string",
"service_details": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"service_request_id": "string",
"service_description": "string",
"service_details": "string",
"access_is_authorized": true,
"date_completed": "2024-07-29T15:51:28.071Z",
"date_due": "2024-07-29T15:51:28.071Z",
"date_scheduled": "2024-07-29T15:51:28.071Z",
"service_request_category_id": "string",
"service_request_priority_id": "string",
"service_request_status_id": "string",
"vendor_id": "string",
"employee_id": "string"
}
}